Subject: Re: [bug#53222] [PATCH] gnu: Add autokey.

From: John Kehayias <[email-masked]>
Date: Wed, 12 Jan 2022 21:55:01 +0000

Hi Maxime and Nicolas,

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Wednesday, January 12th, 2022 at 4:26 PM, Maxime Devos wrote:

> > +      #:tests? #f ; Tests are deprecated/broken until next version.
>
> How can a test be deprecated?
> What tests are broken?
> Are the tests broken, or do they fail because of a real issue?
>
Sort of both? They relied on python2 and had not been updated, so they didn't work (at all from what I see) and were therefore due for replacement in the new version (forthcoming).

See https://github.com/autokey/autokey/issues/327 where they say "The current tests are deprecated and won’t work." That's why I said it that way in the comment, sorry if that wasn't clear. The new version that seems due soon has a new test framework (tox).

> > +                   (wrap-program program
> > +                     `("GI_TYPELIB_PATH" ":" prefix (,gi-typelib-
> > path))))
>
> Do we need to include the GI_TYPELIB_PATH from the environment?
> If not, I recommend '=' instead of 'prefix' to avoid potential trouble.
>

I'm not sure, I was following the examples I saw. For whatever reason, nearly all of them do it that way (I think I only saw one or two as '=', in my quick look). Anyway, I think you are right that it shouldn't be needed, probably the same for a lot of other packages? I think it works with '=' instead, in my quick test.

>
> If you add "GUIX_PYTHONPATH"  to the wrap-program,
> then probably the propagated inputs can be moved to the regular inputs
> (since 'autokey' appeas to be used as a few binaries and not
> as a python library).
>

I'm confused on this as these are already wrapped with GUIX_PYTHONPATH (the bin outputs are python scripts) without adding it explicitly. Trying with the propagated-inputs being regular inputs seems to work fine too.

Although I haven't used it this way, there is also scripting with autokey. One of the included programs is autokey-shell which is a python shell of sorts. I'm not sure if that would make a difference and I don't have anything offhand to test with.

I can submit a patch to change the wrap and inputs if that would be cleaner.

Thanks!
John